# FAQ

## Integrations


### Can you create an integration for service X?

You can request new integrations to be added to our forum. There is a special section for that where
other users can also upvote it so that we know which integrations are important and should be
created next. [Feature Request](https://community.n8n.io/c/feature-requests/nodes)


### An integration exists already but a feature is missing. Can you add it?

Adding new functionality to an existing integration is normally not that complicated. So the chance is
high that we can do that quite fast. Simply post your feature request in the forum and we will see
what we can do. [Feature Request](https://community.n8n.io/c/feature-requests/nodes)


### How can I create an integration myself?

Information about that can be found in the [CONTRIBUTING guide](https://github.com/n8n-io/n8n/blob/master/CONTRIBUTING.md)


## License


### What license does n8n use?

n8n is licensed under [Apache 2.0 with Commons Clause](https://github.com/n8n-io/n8n/blob/master/packages/cli/LICENSE.md)


### Why does n8n has the Commons Clause attached to the license?

I love Open Source and the idea that everybody can use and extend what I wrote for free. But as much
as money can not buy you love, love can sadly literally not buy you anything. Especially does it not pay for rent, food, health insurance, and so on.
And even though people can theoretically contribute to a project are the main drivers which push a project
forward the most time very few and normally the creators or the company behind the project. So to make sure that
the project improves and stays alive long term did the Commons Clause get attached. That makes sure that
no other person/company can make money directly with n8n. Especially not in the way it is planned
to finance further development. For 99.99% of the people it will not make any difference at all but at
the same time does it protect the project.

As n8n itself depends on and uses a lot of other Open Source projects it is only fair and in our interest
to also help them. So it is planed to contribute a certain percentage of revenue/profit every month to these
projects. How much exactly is not decided yet.

Started already with the first very small monthly contributions via [Open Collective](https://opencollective.com/n8n). It is not much yet as revenue is zero and profit in minus but it is at least a start. I hope to be able to ramp that up substantially over time.


### Is n8n really Open Source?

No, according to the definition of the [Open Source Initiative (OSI)](https://opensource.org/osd)
is n8n currently not Open Source. The reason is that [Commons Clause](https://commonsclause.com) which takes away some rights got attached to the Apache 2.0 license.
The source code is however open and people and companies can use it totally free.
What is however not allowed is to make money directly with n8n. So you can for example not charge
other people to host or support n8n.

The support part is mainly there because it was already in the license and I am not a lawyer. So to make it simpler do I hereby grant anybody the right to do consulting/support without prior permission as long as it is less than 30.000 USD per year.

If you have bigger things planned simply write an email to [license@n8n.io](mailto:license@n8n.io).


### Why do you call n8n Open Source if the Open Source Initiative (OSI) says it is not?

Because it is the best description and people know what Open Source is. It explains the best and fastest
what can be done with the license n8n uses.

If you ask people what it means when a project is Open Source they will mention things like:

 - The source code is open
 - Everybody can use it for free
 - It can be extended

Those are the things people associate with Open Source and what they care about most. And all of the
above can be done with n8n. So there is currently simply no better term to explain it fast and simple.

It is however also very important to me to not mislead anybody. That is why I try to mention everywhere
directly that the [Commons Clause](https://commonsclause.com) got applied. So that the 0.01% of the people
who care about that difference know about it.
